#
# Copyright (C) 2004-2006 Mekensleep
#
# Mekensleep
# 24 rue vieille du temple
# 75004 Paris
#       licensing@mekensleep.com
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
# Authors:
#  Cedric Pinson <cpinson@freesheep.org>
#

from types import *
import sys

try:
    c_lookcardstate = __import__('c_lookcardstate' + sys.version[0] + '_' + sys.version[2])
except:
    sys.path.insert(0, ".libs")    
    c_lookcardstate = __import__('c_lookcardstate')

CLookCardState = getattr(c_lookcardstate, 'CLookCardState')

class CardStateAnimated(CLookCardState):
    """

    Look Card object
    
    """

    def __init__(self, application, name):
        if type(name) is IntType or type(name) is LongType:
            name = str(name)
        self.create(application, name)

    def setStartLookingCards(self):
        CLookCardState.setStartLookingCards(self)

    def setLookingCards(self):
        CLookCardState.setLookingCards(self)

    def unsetLookingCards(self):
        CLookCardState.unsetLookingCards(self)

        
