<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

 <xsl:preserve-space elements="*" />
 <xsl:output method="xml" indent="yes"
	     encoding="ISO-8859-1"
 />

 <!-- Add missing elements in previously published poker.client.xml -->
 <xsl:template match="/settings/remember">
  <xsl:copy>
   <xsl:apply-templates select="@*|node()"/>
  </xsl:copy>

  <xsl:if xml:space="preserve" test="not(/settings/muck)">
  <muck>yes</muck></xsl:if>

  <xsl:if xml:space="preserve" test="not(/settings/auto_post)">
  <auto_post>no</auto_post></xsl:if>

 </xsl:template>

 <!-- Remove cat /unlikely-to-exist under win32 -->
 <xsl:template match="/settings/metisse/xwnc">
 <xsl:choose>
 <xsl:when xml:space="preserve" test="contains(.,'.exe')">
 <xwnc chdir="%datadir%/interface">data/interface/poker3d_xwnc.exe -localhost -to 200000 -rfbwait 180000 -depth 24 -geometry %width%x%height% :%display%</xwnc>
 </xsl:when>
 <xsl:otherwise>
  <xsl:copy>
   <xsl:apply-templates select="@*|node()"/>
  </xsl:copy>
 </xsl:otherwise>
 </xsl:choose>
 </xsl:template>

 <!-- copy the rest verbatim -->
 <xsl:template match="@*|node()">
  <xsl:copy>
   <xsl:apply-templates select="@*|node()"/>
  </xsl:copy>
 </xsl:template>

</xsl:stylesheet>
