<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

 <xsl:preserve-space elements="*" />
 <xsl:output method="xml" indent="yes"
	     encoding="ISO-8859-1"
 />

 <!-- os variable -->
 <xsl:variable name="os">
  <xsl:variable name="exec" select="/settings/metisse/xwnc" />
  <xsl:choose>
   <xsl:when xml:space="preserve" test="contains($exec,'.exe')">win32</xsl:when>
   <xsl:otherwise>linux</xsl:otherwise>
  </xsl:choose>
 </xsl:variable>

 <!-- xwnc additional flag -->

 <xsl:template match="/settings/metisse">
  <xsl:choose>
  <xsl:when xml:space="preserve" test="$os='win32'"><metisse display="1">
    <lobby port="19379" chdir="../../bin-cygwin">../../bin-cygwin/poker3d-interface.exe --glade ../data/interface/interface.glade --datadir ../data/interface -r ../data/interface/gtkrc --smiley ../data/interface/smileys --verbose %verbose% --display 127.0.0.1:%display% --port %port%</lobby>
    <chat>poker3d_gaim.exe -r %datadir%/interface/gtkrc --display :%display% --config %gaimrc% --login=%name%@%connect_host%/Gaim</chat>
    <xwnc chdir="../../bin-cygwin">../../bin-cygwin/poker3d_xwnc.exe -nolock -pn -localhost -to 200000 -rfbwait 180000 -depth 24 -geometry %width%x%height% :%display%</xwnc>
  </metisse></xsl:when>
  <xsl:otherwise>
  <xsl:copy>
   <xsl:apply-templates select="@*|node()"/>
  </xsl:copy>
  </xsl:otherwise>
  </xsl:choose>
 </xsl:template>

 <!-- copy the rest verbatim -->
  <xsl:template match="@*|node()">
   <xsl:copy>
    <xsl:apply-templates select="@*|node()"/>
   </xsl:copy>
 </xsl:template>

</xsl:stylesheet>
